> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch all series

> Fetch all the series in the current company.

<ResponseExample>
  ```json Example theme={"system"}
  {
    "list": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "created_at": "2023-01-25T08:04:14.245Z",
        "updated_at": "2023-01-25T08:04:14.245Z",
        "name": "string",
        "description": "string",
        "code": "string",
        "prefix": "string",
        "padding": 0,
        "suffix": "string",
        "last_index": 0,
        "last_entry_id": "string",
        "sigs": ["string"]
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /sequence/v1/series
openapi: 3.0.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: >-
    The Invopop Sequence Service API allows you to define a "series" whose
    entries are guaranteed to be sequential.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Sequence Service API
  version: 1.0.3
servers:
  - description: production
    url: https://api.invopop.com
security:
  - authToken: []
paths:
  /sequence/v1/series:
    get:
      description: Fetch all the series in the current company.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SequenceSeriesCollection'
          description: OK
components:
  schemas:
    SequenceSeriesCollection:
      properties:
        list:
          description: A list of series.
          items:
            $ref: '#/components/schemas/SequenceSeries'
          nullable: true
          title: List
          type: array
      type: object
    SequenceSeries:
      properties:
        code:
          description: A code that can be used to identify the series.
          example: SALES-2020
          title: Code
          type: string
        created_at:
          description: The date and time the series was created.
          example: '2020-10-01T00:00:00Z'
          title: Created At
          type: string
        description:
          description: A description of the series.
          example: This series is used for sales.
          title: Description
          type: string
        id:
          description: The UUID (any version) of the series.
          example: a8904315-3d16-4a95-91c1-30d6cdde553e
          title: ID
          type: string
        last_entry_id:
          description: The ID of the last entry in the series.
          example: a8904315-3d16-4a95-91c1-30d6cdde553e
          title: Last Entry ID
          type: string
        last_index:
          description: The last index used in the series.
          example: 100
          title: Last Index
          type: integer
        name:
          description: The name of the series.
          example: My Series
          title: Name
          type: string
        padding:
          description: The number of 0s to pad the generated codes with.
          example: 5
          title: Padding
          type: integer
        prefix:
          description: A prefix that will be prepended to all entries.
          example: INV-
          title: Prefix
          type: string
        suffix:
          description: A suffix that will be appended to all entries.
          example: '-F1'
          title: Suffix
          type: string
        updated_at:
          description: The date and time the series was last updated.
          example: '2020-10-01T00:00:00Z'
          title: Updated At
          type: string
      type: object
  securitySchemes:
    authToken:
      bearerFormat: JWT
      description: >-
        Use the `Bearer` scheme with a valid JWT token to authenticate requests.
        Example: `Authorization: Bearer <token>`
      scheme: bearer
      type: http

````